[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-deployment] branch master updated: -more scripts
From: |
gnunet |
Subject: |
[taler-deployment] branch master updated: -more scripts |
Date: |
Sun, 12 Jan 2025 15:00:32 +0100 |
This is an automated email from the git hooks/post-receive script.
grothoff pushed a commit to branch master
in repository deployment.
The following commit(s) were added to refs/heads/master by this push:
new 2ef3a0b -more scripts
2ef3a0b is described below
commit 2ef3a0b8b754a172be2dd9eba3539f8320249723
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Sun Jan 12 15:00:27 2025 +0100
-more scripts
---
buildbot/bootstrap-scripts/bootstrap-linkchecker | 0
buildbot/make-buildbot-containerworker.sh | 15 +++++++++++++++
systemd-services/buildbot-worker-container.service | 10 ++++++----
3 files changed, 21 insertions(+), 4 deletions(-)
diff --git a/buildbot/bootstrap-scripts/bootstrap-linkchecker
b/buildbot/bootstrap-scripts/bootstrap-linkchecker
old mode 100644
new mode 100755
diff --git a/buildbot/make-buildbot-containerworker.sh
b/buildbot/make-buildbot-containerworker.sh
new file mode 100755
index 0000000..3fffe2e
--- /dev/null
+++ b/buildbot/make-buildbot-containerworker.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# Bootstrap the Taler setup for the container-worker.
+
+set -eu
+export PATH=/home/buildbot-master/.local/bin:$PATH
+
+if ! test "container-worker" = $(whoami); then
+ echo Only run as the 'container-worker' user.
+ exit 1
+fi
+
+if [[ ! -d worker ]]; then
+ buildbot-worker create-worker --umask=0o22 ~/worker 127.0.0.1:9988
container-worker container-pass
+fi
diff --git a/systemd-services/buildbot-worker-container.service
b/systemd-services/buildbot-worker-container.service
index 70d57c4..ea4120c 100644
--- a/systemd-services/buildbot-worker-container.service
+++ b/systemd-services/buildbot-worker-container.service
@@ -3,10 +3,12 @@ Description=Buildbot worker service for container worker
AssertPathExists=/home/container-worker/worker
[Service]
-WorkingDirectory=/home/container-worker/
-ExecStart=/usr/bin/buildbot-worker start --nodaemon worker
-ExecReload=/usr/bin/buildbot-worker restart --nodaemon worker
-ExecStop=/usr/bin/buildbot-worker stop worker
+User=container-worker
+Group=container-worker
+WorkingDirectory=~
+ExecStart=/home/buildbot-master/.local/bin/buildbot-worker start --nodaemon
worker
+ExecReload=/home/buildbot-master/.local/bin/buildbot-worker sighup worker
+ExecStop=/home/buildbot-master/.local/bin/buildbot-worker stop worker
Restart=always
[Install]
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.
- [taler-deployment] branch master updated: -more scripts,
gnunet <=